kwAllPairsNemenyiTest {PMCMRplus} | R Documentation

## Nemenyi's All-Pairs Rank Comparison Test

### Description

Performs Nemenyi's non-parametric all-pairs comparison test for Kruskal-type ranked data.

### Usage

    kwAllPairsNemenyiTest(x, ...)

    ## Default S3 method:
    kwAllPairsNemenyiTest(x, g, dist = c("Tukey", "Chisquare"), ...)

    ## S3 method for class 'formula'
    kwAllPairsNemenyiTest(
      formula,
      data,
      subset,
      na.action,
      dist = c("Tukey", "Chisquare"),
      ...
    )

### Arguments

`x` | a numeric vector of data values, or a list of numeric data vectors.
`...` | further arguments to be passed to or from methods.
`g` | a vector or factor object giving the group for the corresponding elements of `"x"`. Ignored with a warning if `"x"` is a list.
`dist` | the distribution for determining the p-value. Defaults to `"Tukey"`.
`formula` | a formula of the form `response ~ group` where `response` gives the data values and `group` a vector or factor of the corresponding groups.
`data` | an optional matrix or data frame (or similar: see `model.frame`) containing the variables in the formula `formula`. By default the variables are taken from `environment(formula)`.
`subset` | an optional vector specifying a subset of observations to be used.
`na.action` | a function which indicates what should happen when the data contain `NA`s. Defaults to `getOption("na.action")`.

### Details

For all-pairs comparisons in an one-factorial layout with non-normally distributed residuals Nemenyi's non-parametric test can be performed. A total of m = k(k-1)/2 hypotheses can be tested. The null hypothesis H_{ij}: μ_i(x) = μ_j(x) is tested in the two-tailed test against the alternative A_{ij}: μ_i(x) \ne μ_j(x), ~~ i \ne j.

If `dist == "Tukey"` is selected, the p-values are computed from the studentized range distribution. If `dist == "Chisquare"` is selected, the p-values are computed from the chi-square distribution.

### Value

A list with class `"PMCMR"` containing the following components:

method

  a character string indicating what type of test was performed.

data.name

  a character string giving the name(s) of the data.

statistic

  lower-triangle matrix of the estimated quantiles of the pairwise test statistics.

p.value

  lower-triangle matrix of the p-values for the pairwise tests.

alternative

  a character string describing the alternative hypothesis.

p.adjust.method

  a character string describing the method for p-value adjustment.

model

  a data frame of the input data.

dist

  a string that denotes the test distribution.

### References

Nemenyi, P. (1963) Distribution-free Multiple Comparisons. Ph.D. thesis, Princeton University.

Sachs, L. (1997) Angewandte Statistik. Berlin: Springer.

Wilcoxon, F., Wilcox, R. A. (1964) Some rapid approximate statistical procedures. Pearl River: Lederle Laboratories.

### See Also

`Tukey`, `Chisquare`, `p.adjust`, `kruskalTest`, `kwAllPairsDunnTest`, `kwAllPairsConoverTest`

### Examples

    ## Data set InsectSprays
    ## Global test
    kruskalTest(count ~ spray, data = InsectSprays)

    ## Conover's all-pairs comparison test
    ## single-step means Tukey's p-adjustment
    ans <- kwAllPairsConoverTest(count ~ spray, data = InsectSprays,
                                 p.adjust.method = "single-step")
    summary(ans)

    ## Dunn's all-pairs comparison test
    ans <- kwAllPairsDunnTest(count ~ spray, data = InsectSprays,
                                 p.adjust.method = "bonferroni")
    summary(ans)

    ## Nemenyi's all-pairs comparison test
    ans <- kwAllPairsNemenyiTest(count ~ spray, data = InsectSprays)
    summary(ans)

[Package PMCMRplus version 1.6.1 Index]